﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Prism.Mvvm;

namespace SfDataGridLosesTextOnRowLoseFocus
{
    class SfDataGridViewModel : BindableBase
    {
        private ObservableCollection<Customer> _importantCustomers;

        public ObservableCollection<Customer> ImportantCustomers
        {
            get { return _importantCustomers; }
            set { SetProperty(ref _importantCustomers, value); }
        }

        public SfDataGridViewModel()
        {
            ImportantCustomers = new ObservableCollection<Customer>();

            for (int i = 0; i < 50; i++)
            {
                ImportantCustomers.Add(new Customer { Name = "Customer " + i, City = "City " + i });
            }
        }

    }
}
